#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "global.h"
#include "readthread.h"
#include "customthread.h"

QT_BEGIN_NAMESPACE
namespace Ui {
    class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);

    ~MainWindow() override;


private slots:

    /*打开文件*/
    void on_openFileBtn_clicked();

    /*绘制时间图*/
    void on_timeCustomBtn_clicked();

    /*绘制数据变化图*/
    void on_dataCustomBtn_clicked();

    bool inspectionData();

    /*清空下拉框*/
    void clearCombo();

    /*设置底部左侧状态栏文字*/
    void showStatusbar(const QString &str);

    /*设置进度条进度*/
    void setProgressBar(int bytesRead);

    /*设置时间*/
    void setTime();

    /*设置下拉框*/
    void addCombo(const QStringList &names);

    /*关闭进度条*/
    void closeProg();

    void setPlotView(int jd, bool isNum, bool isTime);

    void setWidget();


private:
    Ui::MainWindow *ui;
    ReadThread *readThread;
    CustomThread *customTime;

};

#endif // MAINWINDOW_H
